/**
 * Created by mgoria on 1/29/16.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RumEventValidationException = undefined;

var _LogDriverException = require('./LogDriverException');

/**
 * Thrown when RUM event is invalid
 */
class RumEventValidationException extends _LogDriverException.LogDriverException {
  /**
   * @param {String} eventLevel
   * @param {Object} error
   */
  constructor(eventLevel, error) {
    super(`Failed to validate "${eventLevel}" event: ${error}`);
  }
}
exports.RumEventValidationException = RumEventValidationException;