/**
 * Created by mgoria on 02/01/16.
 */

'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UnknownRumEventException = undefined;

var _LogDriverException = require('./LogDriverException');

/**
 * Thrown when failed to 'guess' RUM event 'type'
 */
class UnknownRumEventException extends _LogDriverException.LogDriverException {
  /**
   * @param {Object} event
   */
  constructor(event) {
    super(`Failed to 'guess' event type for ${JSON.stringify(event)} event.`);
  }
}
exports.UnknownRumEventException = UnknownRumEventException;